package cn.facade.pojo;

import java.util.Map;

/**
 * 消息模板dto
 */
public class TemplateDTO 
{
    /**
     * 模板编码
     */
    protected String templateCode;

    /**
	 * @return the templateCode
	 */
	public String getTemplateCode() {
		return templateCode;
	}

	/**
	 * @param templateCode the templateCode to set
	 */
	public void setTemplateCode(String templateCode) {
		this.templateCode = templateCode;
	}

	/**
	 * @return the templateParam
	 */
	public Map<String, String> getTemplateParam() {
		return templateParam;
	}

	/**
	 * @param templateParam the templateParam to set
	 */
	public void setTemplateParam(Map<String, String> templateParam) {
		this.templateParam = templateParam;
	}

	/**
     * 模板参数
     */
    protected Map<String, String> templateParam;

    /**
     * 构造器 通过设置模板参数和模板编码 作为参数获取消息内容
     */
    public TemplateDTO(String templateCode, Map<String, String> templateParam){
        this.templateCode = templateCode;
        this.templateParam = templateParam;
    }

    public TemplateDTO(){

    }
}

